
/* ##############################################################
	설  명 : [Modal]수납모달 - 할인적용-적용 팝업
	작성일 : 2024. 06. 12.
	작성자 : NTsoft
	수정일 	        수정자 	 수정내용
	-------         -------- ---------------------------
	2024. 06. 12.	NTsoft 	 최초 생성
*/
let discountPayCheckModal = {
    callback : null,
    reqParam : null,
    dataList : null,
    /* 모달 초기화 작업 */
    init : function () {
        $('#discountPayCheckModal').remove();
        $('body').append( this.HtmlTemplate);
        //그리드 이벤트
        this.setEvent();
    },
    /* 그리드 이벤트 설정 */
    setEvent:function() {
        $('#discountPayCheckModal .btnCancle').on("click", function(){
            discountPayCheckModal.close();
        });

        $('#discountPayCheckModal .btnSave').on("click", function(){
            discountPayCheckModal.save("I");
        });

    },
    // 미 수납건 조회
    search:function() {
            let data = discountPayCheckModal.reqParam;
            // 진료명과 할인금액 합계 계산
            let itemNames = data.map(item => item.item).join('<br>');
            let totalDiscountAmount = data.reduce((sum, item) => sum + item.discountAmount, 0);

            // HTML 요소 업데이트
            $('#discountPayCheckModal .modal-content .modal-header p:nth-child(2)').html(itemNames);
            $('#discountPayCheckModal .modal-content .modal-body p:nth-child(2)').text(totalDiscountAmount.toLocaleString() + '원');
    },
    save:function(){
        if( discountPayCheckModal.callback )  {
            discountPayCheckModal.callback();
        }
        discountPayCheckModal.close();
    },
    /*
     * 팝업
     * callback : 콜백함수, reqParam: 팝업파라미터
     */
    popup:function(callback, reqParam) {
        // 초기화 후 열기
        discountPayCheckModal.init();

        //콜백함수 지정.
        discountPayCheckModal.callback = callback;
        discountPayCheckModal.reqParam = reqParam;
        discountPayCheckModal.dataList = null;

        // 진료 콤보데이타 설정
        // discountPayCheckModal.setTreatmentCombo();

        discountPayCheckModal.search();

        // fn_searchDatePicker("#discountPayCheckModal #payment_detail input[name='modalStartDate']", "#discountPayCheckModal #payment_detail input[name='modalEndDate']");

        setTimeout(function(){
            $('#discountPayCheckModal').modal({keyboard:false, backdrop:'static'});
        }, 200);
    },
    /*
     * 팝업 닫기
     */
    close:function() {
        $('#discountPayCheckModal').modal('hide');

		setTimeout(function(){
			$('#discountPayCheckModal').remove();
		},500);
    },
    HtmlTemplate : `
	<div id="discountPayCheckModal" class="modal discount_pay_modal fade tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="">
		<div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <div>
                        <p>진료명</p>
                        <p>피부,이벤트)루비제이저</p>
                    </div>
                </div>
                <div class="modal-body">
                    <p>할인금액</p>
                    <p>200,000원</p>
                    <p class="subP">위 내용으로 해당 진료항목에<br/>할인을 적용하시겠습니까?</p>
                </div>
                <div class="modal-footer">
                    <div class="button_box">
                        <button class="cancel_btn btnCancle">취소</button>
                        <button class="check_btn btnSave">확인</button>
                    </div>
                </div>							
            </div>
        </div>
    </div>
    `
};